Subject: Re: bug#25360: File mode specification errors during building

From: [email-masked] (Phillip Lord)
Date: Fri, 20 Jan 2017 13:43:44 +0000

Noam Postavsky <[email-masked]> writes:

> On Thu, Jan 19, 2017 at 11:05 AM, Eli Zaretskii <[email-masked]> wrote:
>>> From: [email-masked] (Phillip Lord)
>>> Cc: Glenn Morris <[email-masked]>,  [email-masked],  Eli Zaretskii <[email-masked]>
>>> Date: Thu, 19 Jan 2017 10:45:51 +0000
>>>
>>> > I believe it does respect "coding:" in general (at least it looks like
>>> > there are some comments to that effect in Finsert_file_contents), but
>>> > indeed it doesn't matter in this case because we're let-binding
>>> > `coding-system-for-read' which overrides that.
>>>
>>> I have checked this now with a full bootstrap and it appears not to
>>> work, unfortunately -- the .el files that are generated are broken (this
>>> isn't obvious until they fail to byte-compile -- you have let the build
>>> complete).
>>
>> Every file is broken, or just some of them?  If the latter, can you
>> name some of them, or try to figure out what they have in common?
>
> The problem is that (with-temp-buffer) changes the current buffer,
> which the converter function expected to be set to the output file
> (sorry for not checking this properly before). Attached is a
> non-broken version of my previous patch.

Ah, yes, you are right. Nothing to do with insert-file-contents at
all. Entirely obvious in hindsight, but then isn't it always.

Phil